FROM openshift/golang-builder:1.11 AS builder
ENV __doozer=update BUILD_RELEASE=202005050921 BUILD_VERSION=v4.2.32 OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=32 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.2.32-202005050921 
ENV __doozer=merge OS_GIT_COMMIT=d102948 OS_GIT_VERSION=4.2.32-202005050921-d102948 SOURCE_DATE_EPOCH=1565701574 SOURCE_GIT_COMMIT=d102948ed64848d63ddd16b6cff5faf7e823fdaa SOURCE_GIT_TAG=d102948e SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher 
WORKDIR /go/src/github.com/kubernetes-csi/external-attacher
COPY . .
RUN make build

FROM openshift/ose-base:v4.2.32.20200505.092140
ENV __doozer=update BUILD_RELEASE=202005050921 BUILD_VERSION=v4.2.32 OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=32 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.2.32-202005050921 
ENV __doozer=merge OS_GIT_COMMIT=d102948 OS_GIT_VERSION=4.2.32-202005050921-d102948 SOURCE_DATE_EPOCH=1565701574 SOURCE_GIT_COMMIT=d102948ed64848d63ddd16b6cff5faf7e823fdaa SOURCE_GIT_TAG=d102948e SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-attacher/bin/csi-attacher /usr/bin/
ENTRYPOINT ["/usr/bin/csi-attacher"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="External attacher for CSI volumes" \
        io.k8s.display-name="External attacher for CSI volumes" \
        io.openshift.tags="csi,storage,attacher" \
        vendor="Red Hat" \
        name="openshift/ose-csi-external-attacher" \
        com.redhat.component="csi-attacher-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        version="v4.2.32" \
        release="202005050921" \
        io.openshift.build.commit.id="d102948ed64848d63ddd16b6cff5faf7e823fdaa" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-attacher" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-attacher/commit/d102948ed64848d63ddd16b6cff5faf7e823fdaa"

